Subject: [Shop-talk] Car audio

From: Bob Nogueira <[email-masked]>
Date: Sat, 11 May 2013 11:15:34 -0500

Several years ago I spent time and effort to get audio in my LBC  that was
listenable with the top down. Recently I realized that the sound quality had
deteriorated at the upper volume levels needed for top down listening.
I figured I had blown out the speakers so replaced two of the four and found
no difference.
Can modern car radios go bad in a manner that the quality of the sound
deteriorates at high volume as a bad speaker or did I just buy some bad
speakers?
Any way to check the radio?

Bob
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive